# minimal_graph

Minimal graph for faily large dataset.

<p float="left">
  <img src="https://i.ibb.co/QvVRpp8/graph-preview.jpg" width=400 />
</p>

To install, add this to your dependencies

```yaml
minimal_graph:
  git: git@gitlab.com:bascule-credit/minimal_graph.git
```

Please enable SSH credentials for gitlab for this to work.

## Usage

```dart
import 'package:minimal_graph/minimal_graph.dart';

...

@override
Widget build(BuildContext context) {
    final graphController = GraphController();
    graphController.addListener(() {
        final _selected = graphController.selected;

        print(_selected);
    })

    return MinimalGraph(
        controller: graphController,
    );
}
```

Example here: https://gitlab.com/bascule-credit/minimal_graph/snippets/1936308

## TODOs

Allow customization to bars width

Allow toggle of group label visibility

Free utitlity to group data by dates

Documentation and clean up
